<?php
header('content-type: application/json');
header("access-control-allow-origin: *");
require_once(dirname(__FILE__)."/../packages/require_api.php");

if(isset($_GET['action'])){

	require_once($global['root-model']."Crud.php");
	$obj_crud = new Crud();

	require_once($global['root-model']."History.php");
	$obj_history = new History();

	//===================================== Get Data ========================================
	if($_GET['action'] == 'get_data'){

		$R_message = array("code" => "400", "message" => "No Data");

		$N_page = isset($_REQUEST['page']) ? $_REQUEST['page'] : "";
		$itemperpage = isset($_REQUEST['item']) ? $_REQUEST['item'] : "";
		$product_id = isset($_REQUEST['product_id']) ? $_REQUEST['product_id'] : "";
		$N_start_date = isset($_REQUEST['start_date']) ? $_REQUEST['start_date'] : "";
		$N_end_date = isset($_REQUEST['end_date']) ? $_REQUEST['end_date'] : "";
		if($N_start_date != ""){
			$N_start_format = date("Y-m-d", strtotime($N_start_date));
		} else {
			$N_start_format = "";
		}
		if($N_end_date != ""){
			$N_end_format = date("Y-m-d", strtotime($N_end_date));
		} else {
			$N_end_format = "";
		}

		$result = $obj_history->get_data($obj_crud, $N_page, $itemperpage, $product_id, $N_start_format ,$N_end_format);
		
		if(is_array($result)){
			$total_data = $result[0]['total_data_all'];
			$total_page = $result[0]['total_page'];
			$remaining = $total_data - ((($N_page-1) * $itemperpage) + count($result));
			$R_message = array("code" => "200", "message" => "Fetch success", "num_data" => count($result), "remaining" => $remaining, "total_data" => $total_data, "total_page" => $total_page, "data" => $result);
		}

		echo json_encode($R_message); 

	}
	else{
		$R_message = array("code" => "404", "message" => "Action Not Found");
		echo json_encode($R_message);
	}
}//end gate
else{
	$R_message = array("code" => "404", "message" => "Not Found");
	echo json_encode($R_message);
}
?>